Skip to main content
GET
Get Customers

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null

Page number.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
email,
discord_id,
discord_username,
balance,
total_completed,
total_spent_usd,
last_completed_at,
newsletter_at,
affiliate_code
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
string | null

Filter by customer ID.

Example:

null

email
string | null

Filter by email.

Example:

null

username
string | null

Filter by review username. Must not be greater than 20 characters.

Example:

null

discord_id
string | null
Example:

null

discord_username
string | null
Example:

null

subscribed
string | null

Only newsletter subscribers.

Example:

null

affiliate_code
string | null

Filter by affiliate code.

Example:

null

affiliate_referrer_email
string | null

Filter by referring affiliate email.

Example:

null

created_at_start
string | null

Only customers created at or after this date. Must be a valid date.

Example:

null

created_at_end
string | null

Only customers created at or before this date. Must be a valid date. Must be a date after created_at_start.

Example:

null

last_completed_at_start
string | null

Only customers whose last completed order is at or after this date. Must be a valid date.

Example:

null

last_completed_at_end
string | null

Only customers whose last completed order is at or before this date. Must be a valid date. Must be a date after last_completed_at_start.

Example:

null

total_spent_usd_min
number | null

Minimum total spent in USD. Must be at least 0.

Example:

null

total_spent_usd_max
number | null

Maximum total spent in USD. Must be at least 0.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/customers?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/customers?page=1"

Example:
next_page_url
string | null
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/customers"

per_page
integer
Example:

20

prev_page_url
string | null
Example:

null

to
integer
Example:

3

total
integer
Example:

3